setwd('/Users/rickdale/Sites/Dropbox/projects/advising/vinson/paradox/cssr_sims/final_OOP_scripts')
a = read.table('OOP_complxs.xls',sep='\t',header=F)
colnames(a) = list('RUN','r','WSZ','C','E')
library(ggplot2)

for (w in 0:4) {
	ggplot(a[a$WSZ==w,],aes(r,C))+
		stat_summary(fun.data=mean_se,geom="pointrange",size=.5)+
		scale_color_manual(values=c(rgb(0,0,0)))+	
		coord_cartesian(xlim=c(3.79,3.91),ylim=c(-.5,3.5))+	
		theme_bw(base_size=0)+xlab("")+ylab("")+opts(legend.position = "none")+
		scale_y_continuous(breaks=c(0,1,2,3))+	
		scale_x_continuous(breaks=c(3.8,3.85,3.9))		
	ggsave(filename=paste('OOP_results/rbyWSZ.',w,'.pdf',sep=''),dpi=1000,width=3,height=1.25)
}
	
summary(lm(C~r,data=a[a$WSZ==0,]))
summary(lm(C~r,data=a[a$WSZ==4,]))

a$rz = (a$r - mean(a$r))/sd(a$r)
a$WSZz = (a$WSZ - mean(a$WSZ))/sd(a$WSZ)
a$Cz = (a$C - mean(a$C))/sd(a$C)
summary(lm(Cz~rz*WSZz,data=a[a$WSZ<5,]))
